beamName {oce} | R Documentation

## Name an Acoustic-Doppler Beam

### Description

Name a beam for an acoustic-doppler device, adjusting for beam number and for coordinate system.

### Usage

    beamName(x, which)

### Arguments

`x` | an acoustic-doppler object, inheriting from class `"adp"` or `"adv"`.
`which` | an integer indicating beam number.

### Value

A character string containing a reasonable name for the beam, of the form `"beam 1"`, etc., for beam coordinates, `"east"`, etc. for enu coordinates, `"u"`, etc. for `"xyz"`, or `"u'"`, etc., for `"other"` coordinates. The coordinate is determined by `x@metadata$oce.coordinate`.

### Author(s)

Dan Kelley

### See Also

This is used by `read.oce`.

[Package oce version 0.9-18 Index]